## networking-calico-2.0.0.tar.gz

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=2.3.4,!=2.4.0  # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
six>=1.9.0 # MIT
etcd3gw>=0.2.0 # Apache-2.0
