=== debian/changelog ===
networking-calico (1:2.0.0~xenial) xenial; urgency=low

  * networking-calico release (from Git commit b55e917).
    - Adapt for new Calico data model (v3)
    - Transition remaining uses of etcdv2 to etcdv3
    - Disambiguate DHCP agent's subnet lookup for an endpoint
    - Model security groups as NetworkPolicy instead of Profiles
    - Ensure that all Calico driver/plugin code logs consistently
    - Change Calico policy and labels prefix
    - Initialize privsep infrastructure for Calico DHCP agent
    - DHCP agent: Handle endpoint with no ipNetworks
    - Fix watch loops to handle compaction

 -- Neil Jerram <neil@tigera.io>  Tue, 20 Mar 2018 10:42:34 -0700

networking-calico (1:2.0.0~trusty) trusty; urgency=low

  * networking-calico release (from Git commit b55e917).
    - Adapt for new Calico data model (v3)
    - Transition remaining uses of etcdv2 to etcdv3
    - Disambiguate DHCP agent's subnet lookup for an endpoint
    - Model security groups as NetworkPolicy instead of Profiles
    - Ensure that all Calico driver/plugin code logs consistently
    - Change Calico policy and labels prefix
    - Initialize privsep infrastructure for Calico DHCP agent
    - DHCP agent: Handle endpoint with no ipNetworks
    - Fix watch loops to handle compaction

 -- Neil Jerram <neil@tigera.io>  Tue, 20 Mar 2018 10:42:33 -0700

networking-calico (1:1.4.3~xenial) xenial; urgency=low

  * networking-calico release (from Git commit e794848).
    - Change _log.warn (now somewhat deprecated) to _log.warning
    - Handle FloatingIP move to neutron.db.models.l3
    - Handle neutron.context move to neutron-lib
    - Fix Neutron common config import error
    - DevStack plugin: fix for recent neutron and devstack changes
    - Fix networking-calico CI (against master OpenStack)
    - Fix networking-calico CI (interface.OPTS move)

 -- Neil Jerram <neil@tigera.io>  Fri, 06 Oct 2017 15:27:25 +0100

networking-calico (1:1.4.3~trusty) trusty; urgency=low

  * networking-calico release (from Git commit e794848).
    - Change _log.warn (now somewhat deprecated) to _log.warning
    - Handle FloatingIP move to neutron.db.models.l3
    - Handle neutron.context move to neutron-lib
    - Fix Neutron common config import error
    - DevStack plugin: fix for recent neutron and devstack changes
    - Fix networking-calico CI (against master OpenStack)
    - Fix networking-calico CI (interface.OPTS move)

 -- Neil Jerram <neil@tigera.io>  Fri, 06 Oct 2017 15:27:25 +0100

networking-calico (1:1.4.2~xenial) xenial; urgency=low

  * networking-calico release (from Git commit 21f416f).
    - Retry fill_dhcp_udp_checksums() on failure
    - For the DevStack plugin, get latest Felix code from Calico 'master' PPA
    - Stop testing with Python 3.4 as well as Python 3.5
    - Replace basestring with six.string_types

 -- Neil Jerram <neil@tigera.io>  Mon, 20 Feb 2017 10:17:10 +0000

networking-calico (1:1.4.2~trusty) trusty; urgency=low

  * networking-calico release (from Git commit 21f416f).
    - Retry fill_dhcp_udp_checksums() on failure
    - For the DevStack plugin, get latest Felix code from Calico 'master' PPA
    - Stop testing with Python 3.4 as well as Python 3.5
    - Replace basestring with six.string_types

 -- Neil Jerram <neil@tigera.io>  Mon, 20 Feb 2017 10:17:10 +0000

networking-calico (1:1.4.1-xenial) xenial; urgency=low

  * networking-calico release (from Git commit 8753838).
    - Revert setup.py >=1.8 constraint for pbr

 -- Neil Jerram <neil@tigera.io>  Wed, 08 Feb 2017 13:30:50 +0000

networking-calico (1:1.4.1-trusty) trusty; urgency=low

  * networking-calico release (from Git commit 8753838).
    - Revert setup.py >=1.8 constraint for pbr

 -- Neil Jerram <neil@tigera.io>  Wed, 08 Feb 2017 13:30:50 +0000

networking-calico (1:1.4.0-xenial) xenial; urgency=low

  * networking-calico release (from Git commit a395f91).
    - Python 3 support
    - Revert "DHCP agent: don't directly connect different subnets"
    - Update DevStack plugin:
      - so that it can be used in OpenStack CI
      - to get Calico agent from PPA instead of building from source (which allows
        using Calico 2.0)
      - for Xenial
    - Get OpenStack CI DevStack/Tempest scenario test passing
    - Use neutron-lib imports where possible instead of neutron
    - Documentation improvements:
      - on Calico semantics
      - on floating IP support
      - on service IPs
      - correct enable_plugin call in DevStack README
      - then move all user-facing docs to http://docs.projectcalico.org/master/ (as
        networking-calico docs have now stopped being published to
        docs.openstack.org)
    - Support and document using Calico with Kuryr
    - Update requirements to match OpenStack global requirements
    - Refactoring to organize imports and clarify compatibility code
    - Show team and repo badges on README
    - Handle recent removal of NeutronManager.get_plugin()
    - Monkey-patch eventlet before importing urllib3
    - Intercept floating IP creation (as well as update) so that floating IPs are
      effective immediately after creation on the Neutron API

 -- Neil Jerram <neil@tigera.io>  Tue, 07 Feb 2017 16:07:31 +0000

networking-calico (1:1.4.0-trusty) trusty; urgency=low

  * networking-calico release (from Git commit a395f91).
    - Python 3 support
    - Revert "DHCP agent: don't directly connect different subnets"
    - Update DevStack plugin:
      - so that it can be used in OpenStack CI
      - to get Calico agent from PPA instead of building from source (which allows
        using Calico 2.0)
      - for Xenial
    - Get OpenStack CI DevStack/Tempest scenario test passing
    - Use neutron-lib imports where possible instead of neutron
    - Documentation improvements:
      - on Calico semantics
      - on floating IP support
      - on service IPs
      - correct enable_plugin call in DevStack README
      - then move all user-facing docs to http://docs.projectcalico.org/master/ (as

